Debian Bug report logs - #659667
debian-edu-config: ldapdump.sh stops slapd at night and fail to start it

version graph

Package: debian-edu-config; Maintainer for debian-edu-config is Debian Edu Developers <debian-edu@lists.debian.org>; Source for debian-edu-config is src:debian-edu-config.

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Sun, 12 Feb 2012 22:39:01 UTC

Severity: important

Found in version debian-edu-config/1.450

Fixed in version debian-edu-config/1.452

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#659667; Package debian-edu-config. (Sun, 12 Feb 2012 22:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Sun, 12 Feb 2012 22:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: debian-edu-config: ldapdump.sh stops slapd at night and fail to start it
Date: Sun, 12 Feb 2012 23:35:32 +0100
Package: debian-edu-config
Version: 1.450
Severity: critical

I discovered this on my home test server, where the LDAP server would
suddenly be missing.  The syslog messages indicated that the LDAP
server experienced a controled shutdown.

I added 'pstree |logger' to the stop target of /etc/init.d/slapd, and
this verified that the cause of this problem is
/etc/slbackup/pre.d/ldapdump.sh:

Feb 12 07:49:06 tjener init.d/slapd/stop:      |-cron---cron---sh---run-parts---slbackup---slbackup-cron---ldapdump.sh---slapd-+-logger
Feb 12 07:49:06 tjener init.d/slapd/stop:      |                                                                               `-pstree

I have no idea why the script fail to restart slapd, but assume it
need to be made more robust.
-- 
Happy hacking
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#659667; Package debian-edu-config. (Mon, 13 Feb 2012 07:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Mon, 13 Feb 2012 07:30:04 GMT) Full text and rfc822 format available.

Message #10 received at 659667@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 659667@bugs.debian.org
Subject: Re: Bug#659667: debian-edu-config: ldapdump.sh stops slapd at night and fail to start it
Date: Mon, 13 Feb 2012 08:26:00 +0100
severity 659667 important
thanks

Lowering severity to allow d-e-config to propage to testing as most of
the other features should be working already.

Looking in /var/log/slbackup/run_scripts.log I see entries like this:

feb. 03 07:35:29 - Start running executables in /etc/slbackup/pre.d.
feb. 03 07:35:41 - Successfully run /etc/slbackup/pre.d/ldapdump.sh: 
Stopping OpenLDAP: slapd failed!
Starting OpenLDAP: slapd.
Successfully dumped the LDAP-database to /var/backups/slapd/ldapdump.ldif.

feb. 03 07:35:41 - Finished running executables in /etc/slbackup/pre.d.
feb. 03 07:37:03 - Start running executables in /etc/slbackup/post.d.
feb. 03 07:37:03 - Finished running executables in /etc/slbackup/post.d.
feb. 04 06:48:42 - Start running executables in /etc/slbackup/pre.d.
feb. 04 06:49:01 - Successfully run /etc/slbackup/pre.d/ldapdump.sh: 
Stopping OpenLDAP: slapd.
Starting OpenLDAP: slapd.
Successfully dumped the LDAP-database to /var/backups/slapd/ldapdump.ldif.

feb. 04 06:49:01 - Finished running executables in /etc/slbackup/pre.d.
feb. 04 06:49:15 - Start running executables in /etc/slbackup/post.d.
feb. 04 06:49:15 - Finished running executables in /etc/slbackup/post.d.
feb. 05 07:17:04 - Start running executables in /etc/slbackup/pre.d.
feb. 05 07:17:31 - Successfully run /etc/slbackup/pre.d/ldapdump.sh: 
Stopping OpenLDAP: slapd.
Starting OpenLDAP: slapd.
Successfully dumped the LDAP-database to /var/backups/slapd/ldapdump.ldif.

feb. 05 07:17:31 - Finished running executables in /etc/slbackup/pre.d.
feb. 05 07:17:44 - Start running executables in /etc/slbackup/post.d.
feb. 05 07:17:44 - Finished running executables in /etc/slbackup/post.d.
feb. 06 07:24:31 - Start running executables in /etc/slbackup/pre.d.
feb. 06 07:24:45 - Successfully run /etc/slbackup/pre.d/ldapdump.sh: 
Stopping OpenLDAP: slapd failed!
Starting OpenLDAP: slapd.
Successfully dumped the LDAP-database to /var/backups/slapd/ldapdump.ldif.

I suspect slapd fail to restart only when stopping it failed, but have
not yet verified it.  If this is true, the problem only happen some
nights, which match what I am seeing.  Some race issue?
-- 
Happy hacking
Petter Reinholdtsen




Severity set to 'important' from 'critical' Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Mon, 13 Feb 2012 11:09:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#659667; Package debian-edu-config. (Tue, 14 Feb 2012 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Tue, 14 Feb 2012 14:15:04 GMT) Full text and rfc822 format available.

Message #17 received at 659667@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 659667@bugs.debian.org
Subject: Re: Bug#659667: debian-edu-config: ldapdump.sh stops slapd at night and fail to start it
Date: Tue, 14 Feb 2012 15:12:49 +0100
[Message part 1 (text/plain, inline)]
[Petter Reinholdtsen]
> I suspect slapd fail to restart only when stopping it failed, but
> have not yet verified it.  If this is true, the problem only happen
> some nights, which match what I am seeing.  Some race issue?

I'm still unable to reliably reproduce the problem, and have no idea
what causes it.  But the attached patch might help, by making
ldapdump.sh more presistent in stopping and starting slapd.

Anyone got a better idea?
-- 
Happy hacking
Petter Reinholdtsen
[ldapdump.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#659667; Package debian-edu-config. (Fri, 17 Feb 2012 18:23:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Fri, 17 Feb 2012 18:23:17 GMT) Full text and rfc822 format available.

Message #22 received at 659667@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 659667@bugs.debian.org
Subject: Re: Bug#659667: debian-edu-config: ldapdump.sh stops slapd at night and fail to start it
Date: Fri, 17 Feb 2012 19:21:05 +0100
[Petter Reinholdtsen]
> I'm still unable to reliably reproduce the problem, and have no idea
> what causes it.  But the attached patch might help, by making
> ldapdump.sh more presistent in stopping and starting slapd.
> 
> Anyone got a better idea?

I've used this patch the last few days on my home server, and the LDAP
server is still running.  Because of this I believe this solve or at
least reduce the chance of this problem from occuring and commited the
fix to svn.
-- 
Happy hacking
Petter Reinholdtsen




Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Thu, 23 Feb 2012 12:51:22 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Thu, 23 Feb 2012 12:51:32 GMT) Full text and rfc822 format available.

Message #27 received at 659667-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 659667-close@bugs.debian.org
Subject: Bug#659667: fixed in debian-edu-config 1.452
Date: Thu, 23 Feb 2012 12:47:33 +0000
Source: debian-edu-config
Source-Version: 1.452

We believe that the bug you reported is fixed in the latest version of
debian-edu-config, which is due to be installed in the Debian FTP archive:

debian-edu-config-gosa-netgroups_1.452_all.deb
  to main/d/debian-edu-config/debian-edu-config-gosa-netgroups_1.452_all.deb
debian-edu-config_1.452.dsc
  to main/d/debian-edu-config/debian-edu-config_1.452.dsc
debian-edu-config_1.452.tar.gz
  to main/d/debian-edu-config/debian-edu-config_1.452.tar.gz
debian-edu-config_1.452_all.deb
  to main/d/debian-edu-config/debian-edu-config_1.452_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659667@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated debian-edu-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 23 Feb 2012 13:27:01 +0100
Source: debian-edu-config
Binary: debian-edu-config debian-edu-config-gosa-netgroups
Architecture: source all
Version: 1.452
Distribution: unstable
Urgency: low
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 debian-edu-config - Configuration files for Skolelinux systems
 debian-edu-config-gosa-netgroups - netgroups plugin for GOsa²
Closes: 659667
Changes: 
 debian-edu-config (1.452) unstable; urgency=low
 .
   [ Petter Reinholdtsen ]
   * Make sure to syslog when ldapdump.sh is starting and stopping slapd,
     to make it easier to figure out what caused it if slapd fail to
     start.  Related to bug #659667.
   * Add locking in ldapdump.sh using lockfile-progs, to make sure only
     one such process is running at a given time (Solves Skolelinux
     bug #1213).
   * Make sure ldapdump.sh try 5 times to stop and start slapd, to reduce the
     chance of ending up without an LDAP server (Closes: #659667).
   * Log when setting up network interface, to try to figure out why it
     sometime is wrong.
   * Increase timeout for the ltspfs mount notification to 5 seconds, to
     give the user more time to read it.  Patch from Wolfgang Schweer.
   * Add new script /usr/share/debian-edu-config/ltspfs-mounter-kde
     which can be symlinked into /etc/ltspfs/mounter.d/ for those that
     want to load the freshly mounted LTSPFS directory into dolphin.
     Based on code from Wolfgang Schweer.
 .
   * Translation updates:
     - Updates for Chinese web page from Andrew Lee.
     - Fix lang tag for Chinese, Norwegian and Portuguese.
Checksums-Sha1: 
 f57244edf86e0bab6bde15bea14d7ae643614048 1308 debian-edu-config_1.452.dsc
 d1bda8cdef2eef4d4ffb0dd8eec2ce9a64903227 501126 debian-edu-config_1.452.tar.gz
 4be8c7662dc085bc995312d2e561c9261c0a3fdd 390106 debian-edu-config_1.452_all.deb
 e9dfe8305072a50505a510af58f8a3c7495b39e4 111878 debian-edu-config-gosa-netgroups_1.452_all.deb
Checksums-Sha256: 
 d9206d0bb6322b1432364e6377cf2120f333131e31c0dd7b298927f455edba7b 1308 debian-edu-config_1.452.dsc
 f60ad41fcc0bd721da9e49e90d0c9721aaf80bf790496d775700f03b1c1ca7a5 501126 debian-edu-config_1.452.tar.gz
 0d53db8c55641ee283e3f3cc367926ac0c09cc0051ac43ea39f129c22ecf894e 390106 debian-edu-config_1.452_all.deb
 048d321cd990d5dbefff46f75f9099450f454ac247a462489cf3d077fcce1aed 111878 debian-edu-config-gosa-netgroups_1.452_all.deb
Files: 
 6dd5ebd733139ba0a17e5b09881e1efc 1308 misc extra debian-edu-config_1.452.dsc
 7e4ae514ba0c73882914dca9ddd03a82 501126 misc extra debian-edu-config_1.452.tar.gz
 164039cea94a33489fa925376069b585 390106 misc extra debian-edu-config_1.452_all.deb
 fed12757cc4576f51f697001a573294a 111878 misc extra debian-edu-config-gosa-netgroups_1.452_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFPRjEu20zMSyow1ykRAoFWAJ0eN2SayVNh4++Mv3FllSZWhIhhpgCgn3WH
ZgUKjPRoGsc5T35Ducs8DCw=
=M141
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 23 Mar 2012 07:40:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:44:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.